Page MenuHomePhabricator

[Pre-wmf.11] Special:Preferences asks for leave confirmation even when no changes were made
Closed, ResolvedPublic

Description

How to reproduce:

  1. Go to https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences (make sure you're logged in)
  2. Reload the page, don't change anything
  3. It should just reload but it asks for confirmation

Event Timeline

SBisson created this task.Nov 30 2017, 12:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2017, 12:17 AM

Nope, you must have clicked somewhere (which triggers the code deciding you must have "changed" something). We found that as a pre-existing bug when converting over. Third item on T180538: Improve Special:Preferences UI/UX.

Nope, you must have clicked somewhere (which triggers the code deciding you must have "changed" something).

You can easily see it in action on beta without clicking anywhere.

We found that as a pre-existing bug when converting over. Third item on T180538: Improve Special:Preferences UI/UX.

The issue is not present on en.wp or fr.wp, where the UX change hasn't been deployed yet.

@Jdforrester-WMF No, it actually looks broken. I can reproduce.

matmarex claimed this task.Nov 30 2017, 4:56 PM

This looks to be a regression from https://gerrit.wikimedia.org/r/#/c/393352/ in the last OOUI release. So, good news, it's not going out to production this week, but bad news, it will be awkward to backport the fix.

Nope, you must have clicked somewhere (which triggers the code deciding you must have "changed" something).

You can easily see it in action on beta without clicking anywhere.

I can't. Maybe it's a browser-specific issue. In which browser(s) are you seeing it? I've tested in Firefox and Safari locally.

(I can still trigger the click-on-anything-and-it-decides-you've-changed issue, which I thought this was, but Bartosz says is a different task.)

I can't. Maybe it's a browser-specific issue. In which browser(s) are you seeing it? I've tested in Firefox and Safari locally.

I'm seeing it with Chrome 62.

I can reproduce with Firefox 57 with slightly different steps (if it's of any use to whoever works on it)

  1. Land on Special:Preferences
  2. Scroll down with the mouse, pad, or down key
  3. Refresh the page and get the confirmation

Aha, yes. Good spot, sorry.

Jdforrester-WMF renamed this task from Special:Preferences asks for leave confirmation even when no changes were made to [Pre-wmf.11] Special:Preferences asks for leave confirmation even when no changes were made.Dec 1 2017, 11:24 PM
Jdforrester-WMF added a project: Regression.
matmarex triaged this task as Normal priority.Dec 29 2017, 11:17 PM

Change 406398 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] InputWidget and subclasses: Remember original value when creating the widget

https://gerrit.wikimedia.org/r/406398

Change 406398 merged by jenkins-bot:
[oojs/ui@master] InputWidget and subclasses: Remember original value when creating the widget

https://gerrit.wikimedia.org/r/406398

matmarex updated the task description. (Show Details)
matmarex closed this task as Resolved.Jan 31 2018, 4:38 PM

I verified that this fixes the issue with OOUI Special:Preferences (using the WIP patch at https://gerrit.wikimedia.org/r/#/c/398071/).